## ssh-proxy-ice-gsocket 0.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (ssh-proxy-ice-gsocket)
set (ssh-proxy-ice-gsocket_VERSION_MAJOR 0)
set (ssh-proxy-ice-gsocket_VERSION_MINOR 1)
subdirs(src)

set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${ssh-proxy-ice-gsocket_VERSION_MAJOR}.${ssh-proxy-ice-gsocket_VERSION_MINOR}")
set(CPACK_SOURCE_GENERATOR "TXZ")
set(CPACK_SOURCE_IGNORE_FILES "/build/;/.git/;~$;${CPACK_SOURCE_IGNORE_FILES};.*.cmake$;CMakeCache.txt;CMakeFiles;_CPack_Packages;Makefile;.*.tar.xz;install_manifest.txt")
include(CPack)

=== debian/changelog ===
ssh-proxy-ice-gsocket (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #1102239)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 06 Apr 2025 17:36:51 +0100

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

ssh-proxy-ice-cli.1: debian/ssh-proxy-ice-cli.1.xml
	$(XP) $(DB2MAN) $<

ssh-proxy-ice-srv.1: debian/ssh-proxy-ice-srv.1.xml
	$(XP) $(DB2MAN) $<

execute_after_dh_auto_build: ssh-proxy-ice-cli.1 ssh-proxy-ice-srv.1

## ssh-proxy-ice-gsocket 0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required (VERSION 2.6)
+cmake_minimum_required (VERSION 3.10)
 project (ssh-proxy-ice-gsocket)
 set (ssh-proxy-ice-gsocket_VERSION_MAJOR 0)
 set (ssh-proxy-ice-gsocket_VERSION_MINOR 1)

=== src/CMakeLists.txt ===
find_package(PkgConfig)
pkg_check_modules(NICE nice)

link_directories(${NICE_LIBRARY_DIRS})
include_directories(${NICE_INCLUDE_DIRS})

add_executable(ssh-proxy-ice-srv ssh-proxy-ice-srv.c)
target_compile_options(ssh-proxy-ice-srv PUBLIC ${NICE_CFLAGS})
target_link_libraries(ssh-proxy-ice-srv ${NICE_LIBRARIES})
add_executable(ssh-proxy-ice-cli ssh-proxy-ice-cli.c)
target_compile_options(ssh-proxy-ice-cli PUBLIC ${NICE_CFLAGS})
target_link_libraries(ssh-proxy-ice-cli ${NICE_LIBRARIES})

install (TARGETS ssh-proxy-ice-srv DESTINATION bin)
install (TARGETS ssh-proxy-ice-cli DESTINATION bin)

=== debian/changelog ===
ssh-proxy-ice-gsocket (0.2-1) unstable; urgency=low

  * New upstream release.
    - Bump cmake minimum version to 3.10 (Closes: #1113543)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 02 Oct 2025 04:38:02 +0300

=== debian/control ===
Source: ssh-proxy-ice-gsocket
Section: net
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               docbook-xsl,
               libnice-dev,
               pkgconf,
               xsltproc
Standards-Version: 4.6.2
Homepage: https://gitlab.com/grandpaul/ssh-proxy-ice-gsocket

Package: ssh-proxy-ice-gsocket
Architecture: any
Depends: gsocket, ${misc:Depends}, ${shlibs:Depends}
Description: ssh proxy using ice and gsocket for traversing CGNAT
 This project aims to develop an SSH proxy that leverages the ICE protocol
 (RFC 8445) for data transmission. By employing Ice's communication
 capabilities, this proxy facilitates the establishment of secure SSH
 connections, enabling clients to access SSH servers effectively even
 when traversing Network Address Translation (NAT) boundaries. This
 approach offers a robust solution for scenarios where direct SSH access
 is hindered by NAT restrictions.

=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4

# GitLab hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://gitlab.com/grandpaul/ssh-proxy-ice-gsocket/-/tags \
    archive/v?@ANY_VERSION@/ssh-proxy-ice-gsocket-v?\d\S*@ARCHIVE_EXT@
